Bug 850487 - RFE EC2 GAHP X.509 support for connecting to and authenticating with EC2 services
RFE EC2 GAHP X.509 support for connecting to and authenticating with EC2 ser...
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: grid-maint-list
MRG Quality Engineering
Depends On:
Blocks: 845292
  Show dependency treegraph
Reported: 2012-08-21 12:22 EDT by Timothy St. Clair
Modified: 2012-09-05 11:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-04 11:14:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Condor 2084 None None None 2012-08-21 12:22:08 EDT

  None (edit)
Description Timothy St. Clair 2012-08-21 12:22:08 EDT
Fermilab and others are developing an optional extension to OpenStack's EC2 Query interface that uses X509 authentication in place of the standard access id and secret key for user authentication. They would like Condor to support this alternative authentication mechanism.
Comment 5 Timothy St. Clair 2012-09-04 11:14:06 EDT
Comment 6 Timothy St. Clair 2012-09-05 11:55:24 EDT
Note: The best integration point is through delta-cloud if we wish to support open-stack.

Note You need to log in before you can comment on or make changes to this bug.